## fityk 0.9.3~r750

=== debian/changelog ===
fityk (0.9.3~r750-1) unstable; urgency=low

  * New upstream prerelease with bugfixes

 -- Carlo Segre <segre@debian.org>  Fri, 18 Jun 2010 00:58:26 -0500

fityk (0.9.3~r740-1) unstable; urgency=low

  * Prerelease version with powder diffraction plugin
  * Make sure sample files are in right location and do not include
    the scripts for now.

 -- Carlo Segre <segre@debian.org>  Sun, 06 Jun 2010 22:52:48 -0500

fityk (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Add Build-Dep to xylib-dev, boost libraries as these are no longer
    shipped with the source.
  * Add Build-Dep to zlib1g-dev, libbz2-dev libraries
  * Upgrade to Standards-Version 3.8.4 (no changes)
  * Move to package format 3.0 (quilt)

 -- Carlo Segre <segre@debian.org>  Sun, 09 May 2010 18:27:20 -0500

fityk (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Add --disable-xyconvert flag until wxwidgets 2.9 is in Debian

 -- Carlo Segre <segre@debian.org>  Tue, 09 Feb 2010 23:14:36 -0600

fityk (0.8.9-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.3 (no changes)
  * Remove libreadline5-dev Build-Dep (see Bug #553754)
  * Clean up all lintian errors:
    - add ${misc:Depends} in all binary packages
    - add dependence to libjs-jquery and make symlink to jquery.js

 -- Carlo Segre <segre@debian.org>  Sun, 15 Nov 2009 21:52:50 -0600

fityk (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Compiltion tested with gcc-4.4 and g++-4.4
  * Upgrade to Standards-Version 3.8.2 (no changes).
  * Added --with-xylibs --with-samples configuration flags.
  * Removed patch of "#include <cstring>" from src/ui.cpp.
  * Insert Education top level menu item in *.desktop file
    NOTE: This is not the right solution but conforms to the freedesktop.org 
          standard. KDE and Gnome provide a "Science" top level menu through
          their own configuration files.  XFCE4 currently does not but can be
          configured to do so.  See README.Debian for this information.

 -- Carlo Segre <segre@debian.org>  Sat, 04 Jul 2009 14:58:31 -0500

fityk (0.8.6-3) unstable; urgency=low

  * Removed leftover debian/fityk.desktop (Closes: #500090) - thanks
    to David Futcher <bobbo@ubuntu.com>.
  * Restore sourceforge redirector in debian/watch.
  * Fix reference to GPL-2.

 -- Carlo Segre <segre@debian.org>  Sun, 12 Apr 2009 13:55:45 -0500

fityk (0.8.6-2) unstable; urgency=high

  * Compile against libwxgtk2.8-dev so Help/Manual works (Closes: #499734).
  * Upgrade to Standards-Version 3.8.0 (no changes).

 -- Carlo Segre <segre@debian.org>  Mon, 22 Sep 2008 15:09:25 -0500

fityk (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Fri, 02 May 2008 00:54:09 -0500

fityk (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Reenable 3rdparty usage in build (this means using the included Boost
    libraries and removing the Build-Depends on them).

 -- Carlo Segre <segre@debian.org>  Sun, 30 Mar 2008 11:31:03 -0500

fityk (0.8.2-2) unstable; urgency=low

  * Acknowledge NMU (Closes: #455180)
  * Upgrade to Standards-Version 3.7.3 (no changes)
  * Move Homepage from description to debian/control header

 -- Carlo Segre <segre@debian.org>  Sat, 22 Mar 2008 11:29:16 -0500

fityk (0.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>. (Closes: #455180)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 17:26:13 +0100

fityk (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Restored optimization
  * Use static libraries for now
  * Don't compile python wrapper yet

 -- Carlo Segre <segre@debian.org>  Thu, 23 Aug 2007 00:20:21 -0500

fityk (0.7.8-2) unstable; urgency=low

  * Added declarations to src/numfuncs.h to allow compilation
    by g++4.3 (Closes:  #417192)
  * Don't ignore clean errors
  * Compatibility level 5
  * Comply with menu and desktop policy

 -- Carlo Segre <segre@debian.org>  Sat, 18 Aug 2007 11:08:05 -0500

fityk (0.7.8-1) unstable; urgency=low

  * New upstream release
  * Restored -O2 compiler flags - upstream has fixed g++-4.1 compile

 -- Carlo Segre <segre@debian.org>  Wed,  7 Mar 2007 18:58:33 -0600

fityk (0.7.7-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Thu, 15 Feb 2007 23:46:35 -0600

fityk (0.7.6-1) unstable; urgency=low

  * New upstream release
  * Force -O1 optimization for successful compilation with g++-4.1

 -- Carlo Segre <segre@debian.org>  Sat, 16 Sep 2006 08:32:03 -0500

fityk (0.7.5-3) unstable; urgency=low

  * Added Tag: field in control, experiment for Enrico Zini

 -- Carlo Segre <segre@debian.org>  Sat,  9 Sep 2006 00:10:06 -0500

fityk (0.7.5-2) unstable; urgency=low

  * Relaxed build dependency on libwxgtk2.6.
  * Changed maintainer email to segre@debian.org

 -- Carlo Segre <segre@debian.org>  Wed,  2 Aug 2006 16:44:31 -0500

fityk (0.7.5-1) unstable; urgency=low

  * New upstream release, see /usr/share/doc/fityk/changelog.gz.

 -- Carlo Segre <segre@debian.org>  Wed,  2 Aug 2006 13:30:07 -0500

fityk (0.7.4-2) unstable; urgency=low

  * Use .desktop file from upstream instead but leave the Ubuntu-
    contributed version as an option.

 -- Carlo Segre <segre@iit.edu>  Wed,  7 Jun 2006 10:27:10 -0500

fityk (0.7.4-1) unstable; urgency=low

  * New upstream release
  * Changed to Standards Version 3.7.2
  * Added .desktop file from Phil Bull via Ubuntu maintainer
    Emmet Hikory <emmet.hikory@gmail.com> (Thanks!)

 -- Carlo Segre <segre@iit.edu>  Tue,  6 Jun 2006 09:49:14 -0500

fityk (0.7.3-1) unstable; urgency=low

  * New upstream release (Closes:  #360795)

 -- Carlo Segre <segre@iit.edu>  Tue, 11 Apr 2006 22:02:48 -0500

fityk (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Transition to WxWidgets 2.6 (Build-Dep on libwxgtk2.6-dev)
  * Stop using local boost headers for compilation


