## fityk 0.9.3

=== debian/changelog ===
fityk (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Upgrade to Standards-Version 3.9.0 (no changes)

 -- Carlo Segre <segre@debian.org>  Fri, 02 Jul 2010 13:35:24 -0500
