=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>> 7), libwxgtk2.8-dev (>> 2.8.0), 
    libreadline-dev, libxy-dev, libboost-dev, zlib1g-dev, libbz2-dev
 Homepage: http://www.unipress.waw.pl/fityk/
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 
 Package: fityk
 Architecture: any
