=== debian/watch ===
version=3
http://sf.net/fityk/fityk-(.+)\.tar\.bz2	debian	uupdate
#ftp://upload.sourceforge.net/pub/sourceforge/f/fi/fityk/ \
#	fityk-(.+)\.tar\.bz2	debian	uupdate
#ftp://heanet.dl.sourceforge.net/f/fi/fityk/fityk-(.*)\.tar\.bz2	\
# debian	uupdate
