## fityk 0.9.8

=== debian/changelog ===
fityk (0.9.8-3) unstable; urgency=low

  * Correct home page URL

 -- Carlo Segre <segre@debian.org>  Sat, 19 Nov 2011 15:10:51 -0600

fityk (0.9.8-2) unstable; urgency=low

  * Remove Suggests dependency on menu (Closes: #647368)
  * Add build-arch and build-indep targets in debian/rules

 -- Carlo Segre <segre@debian.org>  Sat, 12 Nov 2011 14:58:15 -0600

fityk (0.9.8-1) unstable; urgency=low

  * New upstream release
  * Link manual in /usr/share/fityk/html to 
    /usr/share/doc/fityk/html (Closes: #627331) 
  * Upgrade to Standards-Version 3.9.2 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 11 Jun 2011 14:51:15 -0500

fityk (0.9.7-1) unstable; urgency=low

  * New upstream release (Closes: #619385)
  * Update URLs in debian/control and debian/copyright
  * Update debian/watch to point to github
  * Upgrade for Standards-Version 3.9.1 (no changes)

 -- Carlo Segre <segre@debian.org>  Thu, 24 Mar 2011 02:00:20 -0500
