=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Carlo Segre <segre@debian.org>
 Build-Depends: debhelper (>> 7), libwxgtk2.8-dev (>> 2.8.0), 
    libreadline-dev, libxy-dev, libboost-dev, zlib1g-dev, libbz2-dev
-Homepage: http://www.unipress.waw.pl/fityk/
-Standards-Version: 3.9.0
+Homepage: http://fityk.nieto.pl/
+Standards-Version: 3.9.2
 
 Package: fityk
 Architecture: any
@@ -13,7 +13,6 @@
      role::program, scope::utility, uitoolkit::wxwidgets, x11::application
 Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
 Recommends: gnuplot
-Suggests: menu
 Description: general-purpose nonlinear curve fitting and data analysis
  Fityk is a flexible and portable program for nonlinear fitting of analytical
  functions (especially peak-shaped) to data (usually experimental data). In
