=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,11 @@
 	  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
 	  --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
+build: build-arch build-indep
 
-build: build-stamp
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
