=== debian/changelog ===
fityk (1.2.1-0.1ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Fix link error, patch provided by Marcin Wojdyr.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Apr 2014 17:53:27 +0200

fityk (1.2.1-0.1ubuntu1) trusty; urgency=medium

  * Pass -lstdc++ in LIBS instead of LDFLAGS to fix FTBFS with --as-needed

 -- Andreas Moog <andreas.moog@warperbbs.de>  Fri, 17 Jan 2014 20:55:51 +0100

fityk (1.2.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (closes: #703150).
  * debian/control (Standards-Version): Bumped to 3.9.5.
    (Build-Depends): Replaced WX 2.8 by version 3.0. Added autotools-dev, lua.
  * debian/copyright: Minor update.
  * debian/dirs: Dropped.
  * debian/install: Added.
  * debian/links: Added link for samples.
  * debian/rules: Rewritten for dh 7 and enabled hardening.
  * debian/upstream: Added.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 01 Jan 2014 23:44:22 +0100
