=== debian/control ===
Source: fityk
Section: science
Priority: optional
Maintainer: Carlo Segre <segre@debian.org>
Build-Depends: autotools-dev (>> 20100122.1~),
               debhelper (>> 7),
               dh-autoreconf,
               libboost-dev,
               libbz2-dev,
               liblua5.1-0-dev,
               libreadline-dev,
               libwxgtk3.0-dev,
               libxy-dev,
               zlib1g-dev
Homepage: http://fityk.nieto.pl/
Standards-Version: 3.9.5

Package: fityk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnuplot
Suggests: libjs-sphinxdoc
Description: general-purpose nonlinear curve fitting and data analysis
 Fityk is a flexible and portable program for nonlinear fitting of analytical
 functions (especially peak-shaped) to data (usually experimental data). In
 other words, for nonlinear peak separation and analysis.
 .
 It was developed for analyzing diffraction patterns, but can be also used in
 other fields, since concepts and operations specific for crystallography are
 separated from the rest of the program.
 .
 Fityk offers various nonlinear fitting methods, subtracting background,
 calibrating data, easy placement of peaks and changing peak parameters,
 automation of common tasks with scripts, and much more. The main advantage
 of the program is flexibility - parameters of peaks can be arbitrarily
 bound to each other, eg. the width of a peak can be an independent
 variable, can be the same as the width of another peak or can be given
 by a complicated - common to all peaks - formula.
 .
 libjs-sphinxdoc is necessary for the Javascript stuff in the documentation.
