=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS) -I/usr/include/lua5.1
CFLAGS   ?= $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS ?= $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  ?= $(shell dpkg-buildflags --get LDFLAGS) # -Wl,--as-needed
LIBS ?= -lstdc++

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-shared --enable-static \
	                     --disable-xyconvert --with-lua-suffix=5.1 \
	                     CPPFLAGS="$(CPPFLAGS)" \
	                     CFLAGS="$(CFLAGS)" \
	                     CXXFLAGS="$(CXXFLAGS)" \
	                     LDFLAGS="$(LDFLAGS)" \
			     LIBS="$(LIBS)"

override_dh_auto_install:
	dh_auto_install
	$(RM) -r $(CURDIR)/debian/fityk/usr/lib \
	         $(CURDIR)/debian/fityk/usr/include \
	         $(CURDIR)/debian/fityk/usr/share/fityk/html/_static/*.js

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress --exclude=.dat --exclude=.fit
