=== debian/watch ===
version=3
https://github.com/wojdyr/fityk/downloads \
  /downloads/wojdyr/fityk/fityk-(.*)\.tar\.bz2
