=== debian/changelog ===
fityk (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #747161):
    - Builds successfully with GCC 6 (Closes: #811800).
  * Update build system to suit new upstream:
    - Remove no-longer-needed compiler/linker FLAGS setting (Closes: #735777)
    - Update build-dependencies on lua
    - Add build-dependency on
        - 'swig' to build bindings
        - 'check' to run tests
        - 'texlive-latex-*', 'sphinx', 'dvipng' to build documentation
  * Switch to debhelper compat level 10, allowing debhelper to do the necessary
    autoreconf automatically (Closes: #744571)
  * Move d/upstream to d/upstream/metadata
  * Fix watch file to correctly find new releases.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Drop no-longer-needed menu file as per #741573.
  * Add DEP-8 tests using cfityk.
  * Bring package into Debian Science and add me as an uploader, with thanks
    to Carlo Segre for many years of work.

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Nov 2016 16:20:37 +1100
