=== debian/control ===
--- 
+++ 
@@ -1,25 +1,40 @@
 Source: fityk
 Section: science
 Priority: optional
-Maintainer: Carlo Segre <segre@debian.org>
-Build-Depends: autotools-dev (>> 20100122.1~),
-               debhelper (>> 7),
-               dh-autoreconf,
-               libboost-dev,
-               libbz2-dev,
-               liblua5.1-0-dev,
-               libreadline-dev,
-               libwxgtk3.0-dev,
-               libxy-dev,
-               zlib1g-dev
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Carlo Segre <segre@debian.org>,
+ Stuart Prescott <stuart@debian.org>
+Build-Depends:
+ catch,
+ debhelper (>> 10),
+ dvipng,
+ libboost-dev,
+ libbz2-dev,
+ liblua5.2-dev,
+ libreadline-dev,
+ libwxgtk3.0-dev,
+ libxy-dev,
+ lua5.2,
+ python3-sphinx,
+ swig,
+ texlive-latex-extra,
+ texlive-latex-recommended,
+ zlib1g-dev
 Homepage: http://fityk.nieto.pl/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fityk.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fityk.git
 
 Package: fityk
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: gnuplot
-Suggests: libjs-sphinxdoc
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ gnuplot
+Suggests:
+ libjs-sphinxdoc
 Description: general-purpose nonlinear curve fitting and data analysis
  Fityk is a flexible and portable program for nonlinear fitting of analytical
  functions (especially peak-shaped) to data (usually experimental data). In
