=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=autoconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-shared --enable-static

override_dh_auto_build:
	dh_auto_build
	make -C doc html

override_dh_auto_install:
	dh_auto_install
	$(RM) -r $(CURDIR)/debian/fityk/usr/lib \
	         $(CURDIR)/debian/fityk/usr/include \
	         $(CURDIR)/debian/fityk/usr/share/fityk/html/_static/*.js

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress --exclude=.dat --exclude=.fit
