=== debian/tests/control ===
Tests: fityk
Depends: fityk
