=== debian/changelog ===
fityk (1.3.1-7) unstable; urgency=medium

  * Force compilation with c++-14 for compatibility with GCC-11
    (Closes: #984123).
  * Cherry-pick patch from upstream for compatibility with newer sphinx.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update standards version to 4.6.0, no changes needed.
  * Update watch file format version to 4.

 -- Stuart Prescott <stuart@debian.org>  Mon, 01 Nov 2021 18:51:21 +1100

fityk (1.3.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Stuart Prescott ]
  * Update Standards-Version to 4.5.1 (no changes required).
  * Update to debhelper-compat (= 13).

 -- Stuart Prescott <stuart@debian.org>  Mon, 21 Dec 2020 11:35:37 +1100

fityk (1.3.1-5) unstable; urgency=medium

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Fri, 27 Sep 2019 10:34:05 +1000

fityk (1.3.1-4) experimental; urgency=medium

  * Switch build to gtk3 (Closes: #933450).
  * Update Vcs-* headers to salsa.debian.org.
  * Update Standards-Version to 4.4.0 (no changes required).
  * Update to debhelper compat 12.

 -- Stuart Prescott <stuart@debian.org>  Thu, 08 Aug 2019 10:57:28 +1000

fityk (1.3.1-3) unstable; urgency=medium

  * Cherry-pick upstream fix (9684b96) to mark float comparisons in test suite
    as approximate (Closes: #876776).

 -- Stuart Prescott <stuart@debian.org>  Tue, 26 Sep 2017 13:06:38 +1000

fityk (1.3.1-2) unstable; urgency=medium

  * Use dh_sphinxdoc to get symlinks right, with thanks to Dmitry Shachnev
    for the patch (Closes: #857816).
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 25 Sep 2017 11:52:02 +1000

fityk (1.3.1-1) unstable; urgency=medium

  * New upstream release.
    - require newer version of sphinx to build documentation.
  * Update Standards-Version to 4.0.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 30 Jul 2017 10:32:00 +1000
