=== debian/control ===
--- 
+++ 
@@ -7,24 +7,25 @@
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
  catch,
- debhelper (>> 10),
+ debhelper-compat (=13),
  dvipng,
  libboost-dev,
  libbz2-dev,
  liblua5.2-dev,
  libreadline-dev,
- libwxgtk3.0-dev,
+ libwxgtk3.0-gtk3-dev,
  libxy-dev,
  lua5.2,
- python3-sphinx,
+ python3-sphinx (>> 1.5~),
  swig,
  texlive-latex-extra,
  texlive-latex-recommended,
  zlib1g-dev
-Homepage: http://fityk.nieto.pl/
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fityk.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fityk.git
+Homepage: https://fityk.nieto.pl/
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/science-team/fityk.git
+Vcs-Browser: https://salsa.debian.org/science-team/fityk
+Rules-Requires-Root: no
 
 Package: fityk
 Architecture: any
@@ -34,7 +35,7 @@
 Recommends:
  gnuplot
 Suggests:
- libjs-sphinxdoc
+ ${sphinxdoc:Depends}
 Description: general-purpose nonlinear curve fitting and data analysis
  Fityk is a flexible and portable program for nonlinear fitting of analytical
  functions (especially peak-shaped) to data (usually experimental data). In
