=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fityk-$1\.tar\.gz/ https://github.com/wojdyr/fityk/tags .*/v?(\d\S+)\.tar\.gz
