## fityk 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,18 @@
-# Use autotools-based build system instead if you can.
-# For now CMake limited to building libfityk and cfityk.
-# But it can automatically download and build Lua, xylib and zlib!
+# CMake build is limited to building libfityk, cfityk and Python module.
+# It is used only for building with fityk in Visual Studio, for example
+# on AppVeyor: https://ci.appveyor.com/project/wojdyr/fityk
+# All offical releases are prepared with autotools instead.
+
+# This build script cannot build GUI, has fewer options than the configure
+# script, but it can automatically download and build Lua, xylib and zlib!
 # You still need to have Boost libraries (headers only).
-# If they can't be found automatically, use -D BOOST_ROOT=C:\Path\to\boost
-
-cmake_minimum_required(VERSION 2.8)
+# You may need to point to them with -D BOOST_ROOT=C:\Path\to\boost
+# If you downloaded the source from git you also need SWIG.
+# On Windows it can be installed with "cinst swig".
+# When using Microsoft Visual C++ Compiler for Python 2.7 add cmake option
+# -D CMAKE_BUILD_TYPE=Release (I haven't investigated why it was needed).
+
+cmake_minimum_required(VERSION 2.8.12)
 project(fityk C CXX)
 
 option(DOWNLOAD_LUA "Fetch Lua from its website" ON)
@@ -28,10 +36,6 @@
 endif()
 
 include(ExternalProject)
-
-if (POLICY CMP0042)
-  cmake_policy(SET CMP0042 OLD)
-endif()
 
 if (MSVC)
   # C4244: '=' : conversion from 'double' to 'float', possible loss of data
@@ -99,7 +103,6 @@
 include_directories(${LUA_INCLUDE_DIR})
 
 find_package(SWIG REQUIRED)
-#include(${SWIG_USE_FILE})
 
 if (BUILD_SHARED_LIBS)
   set(LIB_PREFIX ${CMAKE_SHARED_LIBRARY_PREFIX})
@@ -115,8 +118,8 @@
 
 if (DOWNLOAD_ZLIB)
   ExternalProject_Add(zlib
-    URL "http://zlib.net/zlib-1.2.8.tar.gz"
-    URL_MD5 44d667c142d7cda120332623eab69f40
+    URL "http://zlib.net/zlib-1.2.12.tar.gz"
+    URL_HASH SHA256=91844808532e5ce316b3c010929493c0244f3d37593afd6de04f71821d5136d9
     DOWNLOAD_DIR ${thirdparty_dir}
     SOURCE_DIR ${thirdparty_dir}/zlib
     BINARY_DIR ${CMAKE_BINARY_DIR}/zlib
@@ -157,7 +160,8 @@
   set(XY_LIBRARY "${THIRDPARTY_INSTALL}/lib/${LIB_PREFIX}xy${LIB_SUFFIX}")
   set(XY_INCLUDE_DIR "${THIRDPARTY_INSTALL}/include")
 else()
-  set(XY_LIBRARY xy)
+  find_path(XY_INCLUDE_DIR xylib/xylib.h HINTS ${CMAKE_INSTALL_PREFIX}/include)
+  find_library(XY_LIBRARY NAMES xy HINTS ${LIB_INSTALL_DIR})
 endif()
 include_directories("${XY_INCLUDE_DIR}")
 
@@ -197,7 +201,7 @@
 fityk/eparser.cpp    fityk/LMfit.cpp      fityk/settings.cpp   fityk/voigt.cpp
 fityk/f_fcjasym.cpp  fityk/logic.cpp      fityk/tplate.cpp
 fityk/fit.cpp        fityk/luabridge.cpp  fityk/transform.cpp
-fityk/cmpfit/mpfit.c
+fityk/cmpfit/mpfit.c fityk/root/background.cpp
 ${lua_runtime} ${lua_cxx})
 
 if (DOWNLOAD_XYLIB)
@@ -217,13 +221,27 @@
 add_executable(cfityk cli/gnuplot.cpp cli/main.cpp)
 target_link_libraries(cfityk fityk)
 
-#add_definitions(-DVERSION="1.3.0")
+#add_definitions(-DVERSION="1.3.2")
 set_target_properties (fityk cfityk PROPERTIES
-                       COMPILE_DEFINITIONS VERSION="1.3.0")
-
-
-#swig_add_module(fityk python fityk/swig/fityk.i fityk/ui_api.h)
-#swig_link_libraries(fityk fityk ${PYTHON_LIBRARIES})
+                       COMPILE_DEFINITIONS VERSION="1.3.2")
+
+
+if(MSVC90) # compiling with VS2008? It's most likely for Python 2.7.
+  set(Python_ADDITIONAL_VERSIONS 2.7)
+endif()
+find_package(PythonLibs)
+if (PYTHONLIBS_FOUND)
+  message(STATUS "Building extension for Python ${PYTHONLIBS_VERSION_STRING}")
+  include_directories(${PYTHON_INCLUDE_DIRS})
+  include(${SWIG_USE_FILE})
+  set_property(SOURCE fityk/swig/fityk.i PROPERTY SWIG_MODULE_NAME fityk)
+  swig_add_module(fityk python fityk/swig/fityk.i fityk/ui_api.h)
+  swig_link_libraries(fityk fityk ${PYTHON_LIBRARIES})
+  string(REGEX REPLACE "\\.[0-9]+$" ""
+         py_dir python${PYTHONLIBS_VERSION_STRING})
+  install(TARGETS ${SWIG_MODULE_fityk_REAL_NAME} DESTINATION ${py_dir})
+  install(FILES ${CMAKE_BINARY_DIR}/fityk.py DESTINATION ${py_dir})
+endif()
 
 
 install(TARGETS cfityk DESTINATION bin)
@@ -231,13 +249,15 @@
         RUNTIME DESTINATION bin
         ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
         LIBRARY DESTINATION "${LIB_INSTALL_DIR}")
+install(FILES fityk/fityk.h fityk/ui_api.h DESTINATION include/fityk)
 
 
 enable_testing()
 if (NOT EXISTS "${CMAKE_SOURCE_DIR}/tests/catch.hpp")
   message(STATUS "Downloading catch.hpp...")
+# the latest version of Catch 1.x does not compile with VS 2008
   file(DOWNLOAD
-       https://raw.githubusercontent.com/philsquared/Catch/master/single_include/catch.hpp
+       https://github.com/philsquared/Catch/releases/download/v1.9.5/catch.hpp
        "${CMAKE_SOURCE_DIR}/tests/catch.hpp" SHOW_PROGRESS
        STATUS download_status)
   list(GET download_status 0 status_code)
@@ -251,3 +271,14 @@
   target_link_libraries(test_${t} fityk catch)
   add_test(NAME ${t} COMMAND $<TARGET_FILE:test_${t}>)
 endforeach()
+
+# make sure that API examples can be compiled
+add_executable(hello_cc samples/hello.cc)
+target_link_libraries(hello_cc fityk)
+add_test(NAME "helloC++" COMMAND $<TARGET_FILE:hello_cc>)
+add_executable(hello_c samples/hello.c)
+if(UNIX)
+  find_library(MATH_LIBRARY m)
+endif()
+target_link_libraries(hello_c fityk ${MATH_LIBRARY})
+add_test(NAME "helloC" COMMAND $<TARGET_FILE:hello_c>)
