=== debian/changelog ===
fityk (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Transition to wxWidgets 3.2 (Closes: #1019795)

 -- Scott Talbert <swt@techie.net>  Tue, 18 Oct 2022 22:27:24 -0400

fityk (1.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop all patches (applied upstream).
  * Update Standards-Version to 4.6.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Aug 2022 17:55:18 +1000
