=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libbz2-dev,
  liblua5.2-dev,
  libreadline-dev,
- libwxgtk3.0-gtk3-dev,
+ libwxgtk3.2-dev,
  libxy-dev,
  lua5.2,
  python3-sphinx (>> 1.5~),
@@ -22,7 +22,7 @@
  texlive-latex-recommended,
  zlib1g-dev
 Homepage: https://fityk.nieto.pl/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/science-team/fityk.git
 Vcs-Browser: https://salsa.debian.org/science-team/fityk
 Rules-Requires-Root: no
